Bug 437171 - can't be enabled if metacity is running in CM mode
can't be enabled if metacity is running in CM mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 14:40 EDT by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (28.51 KB, patch)
2008-03-12 16:29 EDT, Bill Nottingham
no flags Details | Diff
My Xorg.log (62.42 KB, text/plain)
2008-04-15 12:27 EDT, Steve
no flags Details

  None (edit)
Description Bill Nottingham 2008-03-12 14:40:56 EDT
Description of problem:

If metacity is running as a compositing manager, desktop-effects can't enable
compiz:

gtk-window-decorator: Screen 0 on display ":0.0" already has a decoration
manager; try using the --replace option to replace the current decoration manager.
compiz (core) - Error: Could not acquire compositing manager selection on screen
0 display ":0.0"
compiz (core) - Fatal: No manageable screens found on display :0

Version-Release number of selected component (if applicable):

compiz-gnome-0.6.2-6.fc9.x86_64
Comment 1 Matěj Cepl 2008-03-12 16:09:09 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bill Nottingham 2008-03-12 16:20:49 EDT
There was no xorg.conf at the time.
Comment 3 Bill Nottingham 2008-03-12 16:29:33 EDT
Created attachment 297840 [details]
X log
Comment 4 Steve 2008-04-15 12:26:01 EDT
I've similarly problems:

[sysop@StarsEnd Desktop]$ compiz --replace
compiz (core) - Fatal: GLX_EXT_texture_from_pixmap is missing
compiz (core) - Error: Failed to manage screen: 0
compiz (core) - Fatal: No manageable screens found on display :0.0
[sysop@StarsEnd Desktop]$ 


compiz-gnome-0.7.2-3.fc9.i386
compiz-0.7.2-3.fc9.i386
Comment 5 Steve 2008-04-15 12:27:12 EDT
Created attachment 302490 [details]
My Xorg.log
Comment 6 Steve 2008-04-17 11:04:58 EDT
my problem seems to be fixed with today's update now. it seems that it was not
an compiz problem because compiz was not updated.
Comment 7 Matěj Cepl 2008-04-17 12:43:26 EDT
THanks for letting us know.
Comment 8 Bill Nottingham 2008-04-17 13:34:34 EDT
Steve's problem is unrelated to this issue - it's a duplicat of 441969.

This issue still persists.
Comment 9 Bug Zapper 2008-05-14 01:59:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-06-09 19:44:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 14:07:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Owen Taylor 2009-11-16 09:16:41 EST
Since I happened to find this bug when looking for where I had seen it, just wanted to add a cross-reference to:

https://bugzilla.gnome.org/show_bug.cgi?id=530702

which is the upstream metacity bug that causes the problem. (And see bug 537791 for the downstream bug)

Note You need to log in before you can comment on or make changes to this bug.